<template>

    {{ articles }}

    <div class="flex2" v-if="articles"> 
                
        <h1>{{ articles.titre }}</h1>

        <div class="flex">
            <p> Date: {{ articles.date_article }}</p>
            <p> Nombre de vue : {{ articles.vue }}</p>

            <!-- afficher la categorie -->
            <div > 
                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 1 ">
                    Categorie: Plat
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 2 ">
                    Categorie: Dessert
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 3 ">
                    Categorie: Dessert
                </a>
                </router-link>

                <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 4 ">
                    Categorie: Dessert
                </a>
                </router-link>
    
                <router-link to='/' active-class="active">
                    <a class="waves-effect waves-light btn" v-if="articles.id_categorie == 5 ">
                        Categorie: Dessert
                    </a>
                </router-link>
            </div>        
        </div>
 
        <div>
            <img :src="articles.photo" alt="">   
            <p>{{ articles.text  }}</p>
        </div>
        
    </div>


</template>

<script setup lang="ts">
import ArticleList from '@/components/ArticleList.vue';

// import type { Article } from '@/entities';
// import { fetchOneArticles } from '@/service/article-service';
// import { onMounted, ref } from 'vue';
// import ArticleVue from './ArticleListVue.vue';

// const articles = ref<Article[]>([]);
// onMounted(async()=>{
//     articles.value = await fetchOneArticles(2);
//     //id number = id article click
// })

</script >


<style scoped>

h1{
    font-size: 50px;
}

img{
    width: 30%;
    height: 50vh;
    margin: 0 auto;
}

.flex2{
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap:20px;
}

.flex{
    display: flex;
    gap:20px;
}




</style>